#include "ZMMOFrontEndPlayerController.h"

#include "UIFrontEndFlowSubsystem.h"
#include "Engine/GameInstance.h"

AZMMOFrontEndPlayerController::AZMMOFrontEndPlayerController()
{
	bShowMouseCursor = true;
}

void AZMMOFrontEndPlayerController::BeginPlay()
{
	Super::BeginPlay();

	SetInputMode(FInputModeUIOnly());

	if (const UGameInstance* GI = GetGameInstance())
	{
		if (UUIFrontEndFlowSubsystem* Flow = GI->GetSubsystem<UUIFrontEndFlowSubsystem>())
		{
			Flow->StartFrontEnd();
		}
	}
}
